Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045268
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-10-21 16:552020-12-02 09:53
ReportermarvintmView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - QA Approved
Regression date
Regression introduced in releaseRR20Q3
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045268: On Product SEARCH, operator '%' has stopped working

DescriptionBefore the changes related to Masterdata IndexedDB, it was possible to do the following search:
Adhesive%warmer

And the component would return the product "Adhesive body warmer". So you could use the character "%" as wildcard. Now it doesn't work.
Steps To Reproduce- In 20Q1, in SEARCH try to search "Adhesive%warmer" and notice that the product "Adhesive body warmer" is found
- In 20Q3, nothing is found.
Proposed SolutionWhen building the criteria for the product name search, we should split the text provided by the user by "%", and add separate criterias for each part combined with "AND" operators.

We should also consider if it makes sense to do the same change in the customer selector, as most probably the operator also worked like that in previous versions of the WebPOS
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124662)
hgbot (developer)
2020-11-30 06:55

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/200 [^]
(0124663)
hgbot (developer)
2020-11-30 06:55

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/108 [^]
(0124664)
hgbot (developer)
2020-11-30 06:55

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/60 [^]
(0124683)
hgbot (developer)
2020-12-02 09:53

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 6ba4999ce6e9318c2e81d2e4822d0cd056bc892c
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-11-30T21:35:31+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/6ba4999ce6e9318c2e81d2e4822d0cd056bc892c [^]

Fixed BUG-45268: Fixes Product search using '%' operator
* Issue caused by IndexedDB changes
* Added new function to filter text by splitting '%' operator
* And adding separate criteria for each text

---
M web/org.openbravo.mobile.core/app/model/persistence/indexeddb/Criteria.js
M web/org.openbravo.mobile.core/source/retail/component/ob-retail-searchproductcharacteristic.js
---
(0124684)
hgbot (developer)
2020-12-02 09:53

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/108 [^]
(0124685)
hgbot (developer)
2020-12-02 09:53

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/200 [^]
(0124686)
hgbot (developer)
2020-12-02 09:53

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: a4249f4588f677bec114cb3b57dd1e19da886f51
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-11-30T21:32:59+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/a4249f4588f677bec114cb3b57dd1e19da886f51 [^]

Fixed BUG-45268: Fixes BP and BPLocation search using '%' operator
* Issue caused by IndexedDB changes
* Fixed by splitting the text by "%" and add separate criteria for each text

---
M web/org.openbravo.retail.posterminal/js/components/bplocation.js
M web/org.openbravo.retail.posterminal/js/components/bplocationship.js
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
---

- Issue History
Date Modified Username Field Change
2020-10-21 16:55 marvintm New Issue
2020-10-21 16:55 marvintm Assigned To => Retail
2020-10-21 16:55 marvintm Regression level => Production - QA Approved
2020-10-21 16:55 marvintm Regression introduced in release => RR20Q3
2020-10-21 16:55 marvintm Triggers an Emergency Pack => No
2020-10-21 16:55 marvintm Status new => scheduled
2020-10-21 17:00 marvintm Proposed Solution updated
2020-10-21 17:11 azabaleta Issue Monitored: azabaleta
2020-11-23 11:14 gorka_gil Assigned To Retail => gorka_gil
2020-11-25 15:58 gorka_gil Assigned To gorka_gil => Retail
2020-11-26 12:04 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-11-30 06:55 hgbot Note Added: 0124662
2020-11-30 06:55 hgbot Note Added: 0124663
2020-11-30 06:55 hgbot Note Added: 0124664
2020-12-02 09:53 hgbot Resolution open => fixed
2020-12-02 09:53 hgbot Status scheduled => closed
2020-12-02 09:53 hgbot Fixed in Version => RR21Q1
2020-12-02 09:53 hgbot Note Added: 0124683
2020-12-02 09:53 hgbot Note Added: 0124684
2020-12-02 09:53 hgbot Note Added: 0124685
2020-12-02 09:53 hgbot Note Added: 0124686


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker